Bug 845109 - pulp-admin cosumer options should be consistent with pulp-consumer
pulp-admin cosumer options should be consistent with pulp-consumer
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 39
Assigned To: Sayli Karmarkar
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 15:17 EDT by Preethi Thomas
Modified: 2015-03-22 21:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:07:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-08-01 15:17:09 EDT
Description of problem:
consumer-id is referred as --consumer-id in pulp-consumer 
and its referred as --id in pulp-admin consumer. It would be better to say --consumer-id in pulp-admin consumer as well

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
root@preethi-el6-pulp ~]# pulp-admin consumer errata  install
Command: install
Description: install erratum

Available Arguments:

  --errata-id, -e - (required) erratum id; may repeat for multiple errata
  --import-keys   - import GPG keys as needed
  --id            - (required) identifies the consumer
  --no-commit     - transaction not committed
  --reboot        - reboot after successful transaction

The following options are required but were not specified:
  --errata-id
  --id


[root@pulp-client ~]# pulp-consumer -u admin -p admin register --id pulp-client
Usage: pulp-consumer [options]

Command: register
Description: registers this consumer to the Pulp server

Available Arguments:

  --consumer-id  - (required) uniquely identifies the consumer; only
                   alphanumeric, -, and _ allowed
  --display-name - user-readable display name for the consumer
  --description  - user-readable description for the consumer
  --note         - adds/updates/deletes key-value pairs to programmatically
                   identify the repository; pairs must be separated by an equal
                   sign (e.g. key=value); multiple notes can be added by
                   specifying this option multiple times; notes are deleted by
                   specifying "" as the value


Expected results:


Additional info:
Comment 1 Sayli Karmarkar 2012-08-08 17:24:33 EDT
commit fe2c44d75ed92fea0a3bc5dbf2c2c7fb252da20a
Author: Sayli Karmarkar <skarmark@redhat.com>
Date:   Wed Aug 8 14:21:27 2012 -0700

    845109 - changing consumer id admin client extensions option to --consumer-id instead of --id
Comment 2 Jeff Ortel 2012-08-09 09:36:57 EDT
build: 0.322
Comment 3 Preethi Thomas 2012-08-15 14:05:28 EDT
verified
[root@pulp-master ~]# rpm -q pulp-server
pulp-server-0.0.323-1.fc17.noarch
[root@pulp-master ~]# 


[root@pulp-master ~]# pulp-admin consumer package-group install
Command: install
Description: install package groups

Available Arguments:

  --name, -n    - (required) package group name; may repeat for multiple groups
  --import-keys - import GPG keys as needed
  --consumer-id - (required) identifies the consumer
  --no-commit   - transaction not committed
  --reboot      - reboot after successful transaction

The following options are required but were not specified:
  --name
  --consumer-id
[root@pulp-master ~]# pulp-admin consumer
Usage: pulp-admin consumer [SUB_SECTION, ..] COMMAND
Comment 4 Preethi Thomas 2013-01-09 12:07:41 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.